<?php
namespace SF\Sfcategory\Domain\Model;

/***************************************************************
 *  Copyright notice
 *
 *  (c) 2013 Stefan Froemken <froemken@gmail.com>
 *
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/
use TYPO3\CMS\Extbase\DomainObject\AbstractEntity;
use TYPO3\CMS\Extbase\Persistence\ObjectStorage;

/**
 * @license http://www.gnu.org/licenses/gpl.html GNU General Public License, version 3 or later
 */
class Car extends AbstractEntity
{
    /**
     * Title
     *
     * @var string
     *
     * @validate NotEmpty
     */
    protected $title;

    /**
     * Persons
     *
     * @var \TYPO3\CMS\Extbase\Persistence\ObjectStorage<\SF\Sfcategory\Domain\Model\Person>
     */
    protected $persons;

    /**
     * Returns the title
     *
     * @var int
     */
    protected $l10nParent

    /**
     * Sets the title
     *
     * @param string $title
     *
     * @return void
     */
    public function setL10nParent($l10nParent) {
        $this->l10nParent = $l10nParent;
    }

    /**
     * Car constructor.
     */
    public function __construct()
    {
        $this->persons = new ObjectStorage();
    }

    /**
     * Returns the title
     *
     * @return string $title
     */
    public function getTitle() {
        return $this->title;
    }

    /**
     * Sets the title
     *
     * @param string $title
     *
     * @return void
     */
    public function setTitle($title) {
        $this->title = $title;
    }

    /**
     * Returns the persons
     *
     * @return ObjectStorage $persons
     */
    public function getPersons()
    {
        return $this->persons;
    }

    /**
     * Sets the persons
     *
     * @param ObjectStorage $persons
     *
     * @return void
     */
    public function setPersons(ObjectStorage $persons)
    {
        $this->persons = $persons;
    }

    /**
     * Add person
     *
     * @param Person $person
     */
    public function addPerson(Person $person)
    {
        $this->persons->attach($person);
    }

    /**
     * Remove person
     *
     * @param Person $person
     */
    public function removePerson(Person $person)
    {
        $this->persons->detach($person);
    }
}
